package com.steerinfo.baseinfo.meterbasespotinfo.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasespotinfo.model.MeterBaseSpotInfo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * MeterBaseSpotInfo服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-05 06:15
 * 类描述
 * 修订历史：
 * 日期：2020-06-05
 * 作者：generator
 * 参考：
 * 描述：MeterBaseSpotInfo服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseSpotInfoService extends IBaseService<MeterBaseSpotInfo, String>{
     RESTfulResult checkandadd(MeterBaseSpotInfo model);

     String checkandupdate(String id,MeterBaseSpotInfo model);

     String recovery(List<MeterBaseSpotInfo> models);

     String abolish(List<MeterBaseSpotInfo> models);

     List<MeterBaseSpotInfo> selectall();

     List<MeterBaseSpotInfo> selectcorrelation();

     List<MeterBaseSpotInfo> calibcorrelation();

    List<MeterBaseSpotInfo> queryall(Map<String,Object> parmas);
    List<MeterBaseSpotInfo> DynamicNoPage(Map<String,Object> parmas);

     MeterBaseSpotInfo doUpdateWf(MeterBaseSpotInfo model);

     MeterBaseSpotInfo doUpdateNumWf(MeterBaseSpotInfo model);
     List<MeterBaseSpotInfo> TSDGSpotInfo(HashMap<String, Object> param);
}